## kxsldbg-trinity 14.1.5~pre6

=== debian/changelog ===
kxsldbg-trinity (4:14.1.5~pre6-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for 8e2564712d4fc1436b3a7c7734a2bab1cde5089e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Oct 2025 16:46:09 +0200

kxsldbg-trinity (4:14.1.5-0~a) forky; urgency=low

  * Move from tdewebdev into a standalone package.

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 17 Oct 2025 01:57:27 +0200

## kxsldbg-trinity 14.1.5~pre7

=== debian/changelog ===
kxsldbg-trinity (4:14.1.5~pre7-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for a22627fa059e8ad46fe89e12a6da09c22a5654bb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 25 Oct 2025 23:33:15 +0200

## kxsldbg-trinity 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( kxsldbg )


##### include essential cmake modules ###########

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS       "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY    "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"                    ON )
option( BUILD_DOC          "Build documentation"          ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"           ${BUILD_ALL} )
option( BUILD_EXAMPLE_DATA "Install example XSLT scripts" OFF )


##### user defined options

set( XSLDBG_BIN "xsldbg" CACHE STRING "Name of the xsldbg executable" )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===
tde_conditional_add_subdirectory( BUILD_EXAMPLE_DATA data )
add_subdirectory( kxsldbgpart )

add_compile_options( ${ICU_CXXFLAGS} )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
  ${READLINE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kxsldbg (executable)

tde_add_executable( kxsldbg AUTOMOC

  SOURCES
        kxsldbg.cpp
        main.cpp
        kxsldbgif.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     tqtnotfier-static
     kxsldbgcommon-static
     xsldbg-static
     ${READLINE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### xsldbg (executable)

tde_add_executable( xsldbg AUTOMOC

  SOURCES
        xsldbgmain.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     xsldbg-static
     ${READLINE_LIBRARIES}

  DEPENDENCIES
     xsldbg-static

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( kxsldbg )


##### other data

install(
    FILES kxsldbg_shell.rc
    DESTINATION ${DATA_INSTALL_DIR}/kxsldbg
)

tde_create_translated_desktop(
    SOURCE xsldbg.desktop
    DESTINATION ${APPS_INSTALL_DIR}/.hidden
)

tde_create_translated_desktop(
    SOURCE kxsldbg.desktop
)

=== src/kxsldbgpart/CMakeLists.txt ===
add_subdirectory( libtqtnotfier )
add_subdirectory( libxsldbg     )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_compile_options( ${ICU_CXXFLAGS} )


##### kxsldbgcommon (static)

tde_add_library( kxsldbgcommon STATIC_PIC AUTOMOC

  SOURCES
        kxsldbg_partif.skel
        xsldbgwalkspeed.ui
        xsldbgtemplates.ui
        xsldbgsources.ui
        xsldbgmsgdialog.ui
        xsldbglocalvariables.ui
        xsldbgglobalvariables.ui
        xsldbgentities.ui
        xsldbgconfig.ui
        xsldbgcallstack.ui
        xsldbgbreakpoints.ui
        xsldbgwalkspeedimpl.cpp
        xsldbgtemplatesimpl.cpp
        xsldbgtemplatelistitem.cpp
        xsldbgsourcesimpl.cpp
        xsldbgoutputview.cpp
        xsldbglocalvariablesimpl.cpp
        xsldbglocallistitem.cpp
        xsldbglistitem.cpp
        xsldbginspector.cpp
        xsldbgglobalvariablesimpl.cpp
        xsldbggloballistitem.cpp
        xsldbgentitiesimpl.cpp
        xsldbgdoc.cpp
        xsldbgdialogbase.cpp
        xsldbgdebugger.cpp
        xsldbgconfigimpl.cpp
        xsldbgcallstackimpl.cpp
        xsldbgbreakpointsimpl.cpp
        xsldbgbreakpointlistitem.cpp
        qxsldbgdoc.cpp
        kxsldbg_part.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     kjs-shared
     xsldbg-static
     tqtnotfier-static
)


##### libkxsldbgpart (kpart)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_kpart( libkxsldbgpart AUTOMOC

  SOURCES
        dummy.cpp
  EMBED
     kxsldbgcommon-static
  LINK
     tdecore-shared
     tdeui-shared
     kjs-shared
     tdeio-shared
     tdeparts-shared
     katepartinterfaces-shared
     ${READLINE_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

tde_create_translated_desktop(
    SOURCE kxsldbg_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kxsldbg-desktops
)

install(
    FILES kxsldbg_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/kxsldbgpart
)

=== src/kxsldbgpart/libxsldbg/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
  ${READLINE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_compile_options( ${ICU_CXXFLAGS} )

##### xsldbg (static)

tde_add_library( xsldbg STATIC_PIC AUTOMOC

  SOURCES
        allmoc.cpp
        xsldbgthread.cpp
        xsldbg.cpp
        xsldbgmsg.cpp
        variable_cmds.cpp
        utils.cpp
        trace_cmds.cpp
        template_cmds.cpp
        search_cmds.cpp
        search.cpp
        param_cmds.cpp
        os_cmds.cpp
        options_unix.cpp
        options.cpp
        option_cmds.cpp
        nodeview_cmds.cpp
        help_unix.cpp
        files_unix.cpp
        files.cpp
        file_cmds.cpp
        debug.cpp
        callstack.cpp
        breakpoint_cmds.cpp
        breakpoint.cpp
        arraylist.cpp
        debugXSL.cpp
  LINK
     ${LIBXSLT_LIBRARIES}
     ${LIBEXSLT_LIBRARIES}
     ${READLINE_LIBRARIES}
)

=== debian/changelog ===
kxsldbg-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 25 Oct 2025 23:33:15 +0200

=== debian/control ===
Source: kxsldbg-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, libicu-dev
Standards-Version: 3.8.4
Homepage: http://www.trinitydesktop.org/

Package: kxsldbg-trinity
Architecture: any
Section: text
Replaces: kxsldbg-trinity (<< 4:14.0.0~)
Breaks: kxsldbg-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: graphical XSLT debugger for TDE [Trinity]
 KXSLDbg is a debugger for XSLT scripts. It includes a graphical user
 interface as well as a text-based debugger. KXSLDbg can be run as a
 standalone application or as an embedded TDE part.
 .
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.,
 using standard XSLT stylesheets.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

## kxsldbg-trinity 14.1.6~pre1

=== debian/changelog ===
kxsldbg-trinity (4:14.1.6~pre1-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for 29d6aa80e5c3b9cc571843b1e0f2fb0185078ca6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Dec 2025 22:34:53 +0100

## kxsldbg-trinity 14.1.6~pre2

=== debian/changelog ===
kxsldbg-trinity (4:14.1.6~pre2-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for bdabbcb21423822c86819e32d0931a7502b68fa2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:33:23 +0100

## kxsldbg-trinity 14.1.6~pre3

=== debian/changelog ===
kxsldbg-trinity (4:14.1.6~pre3-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for 13a0b05d1332fb57bded44f6c2181c45815c5470
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 22:32:33 +0100

## kxsldbg-trinity 14.2.0~pre5

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre5-1ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for fa08e92ac773ef6c735d896e59468abddbdd6c1b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Oct 2025 12:23:06 +0200

## kxsldbg-trinity 14.2.0~pre6

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre6-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for 6dfa7b1076eec3519e553bdf830ef8e48742db7a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Dec 2025 00:51:18 +0100

## kxsldbg-trinity 14.2.0~pre7

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre7-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for 58fbf701066cc014b97e2aafad3b9d8aedacdf48
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:53:43 +0100

## kxsldbg-trinity 14.2.0~pre8

=== debian/changelog ===
kxsldbg-trinity (4:14.2.0~pre8-0ubuntu25.04.0+1) plucky; urgency=low

  * Automated git build for d8fd5fa14e074aeb1ad13910c3a05bf169782133
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdexsldbg

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 15:51:09 +0100
